Subject: 24.4; Early collision warning when 'create-lockfiles' is set to nil

From: Daniel Lopez <[email-masked]>
Date: Sat, 14 Mar 2015 04:12:13 +0000

I've noticed this too.

(setq create-lockfiles nil) seems to turn off both the creation of 
lockfiles (which are used to alert you if you start to modify a file 
which another Emacs session concurrently has open in a modified, unsaved 
state); and the feature of prompting you if you start to modify a file 
which has changed on disk from what is visible in the buffer since you 
opened or last reverted it.

I find myself wanting the latter feature but not the former. In 
particular, the latter feature will detect if the file contents have 
been changed by another application, whereas the lockfiles feature will 
only detect if the file is currently being edited by another instance of 
Emacs. So the 'create-lockfiles' variable should be limited to only 
control the former feature, and maybe there should be another setting 
for turning the latter feature on and off, though I wouldn't want to 
turn if off myself.

Daniel